com.io7m.jtensors.storage.api.unparameterized.vectors

## Interface VectorStorageFloating3Type

- All Superinterfaces:
    VectorReadable2DType, VectorReadable3DType, VectorStorageFloating2Type, VectorStorageType
  All Known Subinterfaces:
    PVectorByteBufferedFloating3Type<T>, PVectorByteBufferedFloating4Type<T>, PVectorStorageFloating3Type<T>, PVectorStorageFloating4Type<T>, VectorByteBufferedFloating3Type, VectorByteBufferedFloating4Type, VectorStorageFloating4Type
  All Known Implementing Classes:
    PVectorByteBufferedFloating3s16, PVectorByteBufferedFloating3s32, PVectorByteBufferedFloating3s64, PVectorByteBufferedFloating4s16, PVectorByteBufferedFloating4s32, PVectorByteBufferedFloating4s64, VectorByteBufferedFloating3s16, VectorByteBufferedFloating3s32, VectorByteBufferedFloating3s64, VectorByteBufferedFloating4s16, VectorByteBufferedFloating4s32, VectorByteBufferedFloating4s64

      public interface VectorStorageFloating3Type
      extends VectorReadable3DType, VectorStorageFloating2Type

  The type of mutable 3D floating point number vectors.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `setVector3D(Vector3D v)` Set the components from the given vector.
    `default void` | `setVector3F(Vector3F v)` Set the components from the given vector.
    `default void` | `setXYZ(double x, double y, double z)` Set the `x`, `y`, `z` components.
    `void` | `setZ(double z)` Set the `z` component.

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType

      `z`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating2Type

      `setVector2D, setVector2F, setX, setXY, setY`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType

      `x, y`

- - ### Method Detail

    - #### setVector3D

          default void setVector3D(Vector3D v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setVector3F

          default void setVector3F(Vector3F v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setZ

          void setZ(double z)

      Set the `z` component.
      Parameters:
        `z` - The Z component

    - #### setXYZ

          default void setXYZ(double x,
                              double y,
                              double z)

      Set the `x`, `y`, `z` components.
      Parameters:
        `x` - The X component
        `y` - The Y component
        `z` - The Z component

Copyright © 2017 <code@io7m.com> http://io7m.com